- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Updates a DataDomain resource.
HTTP request
PATCH https://dataplex.googleapis.com/v1/{dataDomain.name=projects/*/locations/*/dataDomains/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
dataDomain.name |
Identifier. The relative resource name of the DataDomain, of the form: projects/{project_id_or_number}/locations/{locationId}/dataDomains/{dataDomainId} |
Query parameters
| Parameters | |
|---|---|
updateMask |
Optional. Mask of fields to update. This is a comma-separated list of fully qualified names of fields. Example: |
validateOnly |
Optional. Only validate the request, but do not perform mutations. |
Request body
The request body contains an instance of DataDomain.
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/dataplex.read-write
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
dataplex.dataDomains.update
For more information, see the IAM documentation.